Skip to content
Start here

DNS Record Details

GET/zones/{zone_id}/dns_records/{dns_record_id}

DNS Record Details

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS ReadDNS Write
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
dns_record_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional RecordResponse
One of the following:
A = ARecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
AAAA = AAAARecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
CNAME = CNAMERecord { name, ttl, type, 5 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
MX = MXRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
NS = NSRecord { name, ttl, type, 5 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
Openpgpkey = object { id, comment, content, 12 more }
id: string

Identifier.

maxLength32
comment: string

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: string

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
name: string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

proxied: boolean

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: object { ipv4_only, ipv6_only }

Settings for the DNS record.

ipv4_only: optional boolean

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: optional boolean

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: array of RecordTags

Custom tags for the DNS record. This field has no effect on DNS responses.

ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
number
1

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: "OPENPGPKEY"

Record type.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
PTR = PTRRecord { name, ttl, type, 5 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
TXT = TXTRecord { name, ttl, type, 5 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
CAA = CAARecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
CERT = CERTRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
DNSKEY = DNSKEYRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
DS = DSRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
HTTPS = HTTPSRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
LOC = LOCRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
NAPTR = NAPTRRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SMIMEA = SMIMEARecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SRV = SRVRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SSHFP = SSHFPRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SVCB = SVCBRecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
TLSA = TLSARecord { name, ttl, type, 6 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
URI = URIRecord { name, ttl, type, 7 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: optional string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: optional string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

DNS Record Details

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/dns_records/$DNS_RECORD_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "example.com",
    "ttl": 3600,
    "type": "A",
    "comment": "Domain verification record",
    "content": "198.51.100.4",
    "private_routing": true,
    "proxied": true,
    "settings": {
      "ipv4_only": true,
      "ipv6_only": true
    },
    "tags": [
      "owner:dns-team"
    ],
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "meta": {},
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "proxiable": true,
    "comment_modified_on": "2024-01-01T05:20:00.12345Z",
    "tags_modified_on": "2025-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "example.com",
    "ttl": 3600,
    "type": "A",
    "comment": "Domain verification record",
    "content": "198.51.100.4",
    "private_routing": true,
    "proxied": true,
    "settings": {
      "ipv4_only": true,
      "ipv6_only": true
    },
    "tags": [
      "owner:dns-team"
    ],
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "meta": {},
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "proxiable": true,
    "comment_modified_on": "2024-01-01T05:20:00.12345Z",
    "tags_modified_on": "2025-01-01T05:20:00.12345Z"
  }
}